---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 99d73c48-9985-51d2-9639-d37bcdfe119e
      tier: AATSR_CMP_MONTH
      value: 0.05403498560190201
    brdf:
      alpha_1:
        band_1: 0.22164942785448777
        band_11: 0.15928222695579963
        band_12: 0.07831243583092712
        band_2: 0.2215921003584846
        band_3: 0.3873314805407419
        band_4: 0.2065382251112965
        band_5: 0.2065382251112965
        band_6: 0.20658185587939956
        band_7: 0.7562773973891436
        band_8: 0.7561914221984009
        band_8a: 0.7562773973891436
      alpha_2:
        band_1: 0.2079623743657398
        band_11: 0.19161931537875257
        band_12: 0.22201270963509026
        band_2: 0.20795649462759364
        band_3: 0.1786298041655041
        band_4: 0.21518009623956907
        band_5: 0.21518009623956907
        band_6: 0.2151885511216953
        band_7: 0.0497069167541729
        band_8: 0.04972236502874101
        band_8a: 0.0497069167541729
      id:
      - 37ce8964-37f6-58a7-a63e-0c2753486cb6
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 83914de1-c12e-5035-af8d-e2dc1baa54d4
      tier: DEFINITIVE
      value: 0.25
    water_vapour:
      id:
      - 0346534a-7db9-5e51-8ac7-7fbd3d43b46f
      tier: DEFINITIVE
      value: 2.9899999618530275
  id: 01367ca5-ea1e-4167-86d8-5b754e73cb44
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1886.6915334541463
      BAND-11: 232.03565285888777
      BAND-12: 81.18301356338054
      BAND-2: 1937.2863490355885
      BAND-3: 1815.409559426982
      BAND-4: 1481.8901471663987
      BAND-5: 1368.1992595161569
      BAND-6: 1250.9385491227958
      BAND-7: 1149.8322661059035
      BAND-8: 1010.9990090080548
      BAND-8A: 921.6441925810151
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2019-06-07 01:01:58.299552Z
    atime: 2022-05-26 11:29:28Z
    ctime: 2019-06-07 07:01:36Z
    mtime: 2019-06-07 07:01:31Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/up71/projects/ARD_implementation_validation/robbi_northern_territory_L1C/S2B_MSIL1C_20190607T005719_N0207_R002_T53KRB_20190607T022306.zip
  system_information:
    hostname: gadi-cpu-clx-2283.gadi.nci.org.au
    runtime_id: 1ae9dd2a-dce7-11ec-a360-00000184fe80
    time_processed: 2022-05-26 11:29:28.858756Z
    uname: 'Linux gadi-cpu-clx-2283.gadi.nci.org.au 4.18.0-348.20.1.el8.nci.x86_64
      #1 SMP Wed Mar 16 11:37:35 AEDT 2022 x86_64'
gqa:
  colors:
    blue: 0.0
    green: 0.0
    red: 13.0
    teal: 0.0
    yellow: 0.0
  error_message: no errors
  final_qa_count: 5
  granule: S2B_OPER_MSI_L1C_TL_SGS__20190607T022306_A011754_T53KRB_N02.07
  ref_date: '2014-09-19T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/100/071/LC81000712014262LGN00_B6.TIF
  residual:
    abs:
      x: 15.53
      xy: 35.24
      y: 31.64
    abs_iterative_mean:
      x: 16.22
      xy: 35.91
      y: 32.04
    cep90: 38.45
    iterative_mean:
      x: 16.22
      xy: 35.91
      y: -32.04
    iterative_stddev:
      x: 3.36
      xy: 3.84
      y: 1.86
    mean:
      x: 15.53
      xy: 35.24
      y: -31.64
    stddev:
      x: 4.8
      xy: 6.23
      y: 3.97
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 0.7270114574798769
    cloud: 98.76229956915724
    cloud_shadow: 0.01858886431382183
    snow: 0.1005959550932359
    water: 0.39150415395582594
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 0.33123597083049494
    cloud: 99.66876402916951
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.1
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.1
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.0
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
